Subject: Re: [PATCH net-next 1/4] tools: ynl: ethtool: use doit instead of dumpit for per-device GET

From: Hangbin Liu <[email-masked]>
Date: Wed, 1 Apr 2026 07:21:54 +0000

On Tue, Mar 31, 2026 at 06:50:28PM -0700, Jakub Kicinski wrote:
> On Tue, 31 Mar 2026 11:56:11 +0800 Hangbin Liu wrote:
> > +++ b/tools/net/ynl/pyynl/ethtool.py
> 
> We have converted all the samples to selftests so this script is 
> the last piece of random "PoC" code we still have laying around.
> Should we also move it to tests/ ?
> 
> If there's a reason to keep it as is -- could you please add that reason
> at the top of the file for my future self? I'm pretty sure I already
> questioned this script in the past ;)

I have no objection to this. Will you keep it as it is when moving it to
tests/ ? Should I wait for your moving first?

Hangbin